Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Interface IChannel

All Known Subinterfaces:
  ICharacterChannel, IPrivilegedChannel, IServant

All Known Implementing Classes:
  BaseChannel, BaseState, BaseState, CAbstractXslt, CChannelManager, CContentSubscriber, CError, CError, CFragmentManager, CGroupsManagerServant, CHeader, CHistory, CLogin, CMissingProperties, CNumberGuess, CPermissionsManager, CPermissionsManagerServant, CSecureInfo, CSelectSystemProfile, CSessionLocalesSelector, CSiteMap, CSkinSelector, CSnoop, CThrower, CTimeout, CTimeTitle, CURLSelector, CUserLocalesSelector, CUserManager, CUserPreferences, CUserPreferences, CViewer, DlmIntroChannel, FragmentManager, GPreferencesState, GPreferencesState, GPreferencesState.GBrowseState, GPreferencesState.GBrowseState, GPreferencesState.GEditLayoutItemState, GPreferencesState.GEditLayoutItemState, GPreferencesState.GGlobalPrefsState, GPreferencesState.GGlobalPrefsState, GPreferencesState.GMoveToState, GPreferencesState.GMoveToState, ManageProfilesState, ManageProfilesState, ManageProfilesState.CEditProfile, ManageProfilesState.CEditProfile, MultithreadedCacheableChannelAdapter, MultithreadedCacheableCharacterChannelAdapter, MultithreadedCacheableMimeResponseChannelAdapter, MultithreadedCacheableMimeResponseCharacterChannelAdapter, MultithreadedChannelAdapter, MultithreadedCharacterChannelAdapter, MultithreadedMimeResponseChannelAdapter, MultithreadedMimeResponseCharacterChannelAdapter, MultithreadedPrivilegedCacheableChannelAdapter, MultithreadedPrivilegedCacheableCharacterChannelAdapter, MultithreadedPrivilegedCacheableDirectResponseCharacterChannelAdapter, MultithreadedPrivilegedCacheableMimeResponseChannelAdapter, MultithreadedPrivilegedCacheableMimeResponseCharacterChannelAdapter, MultithreadedPrivilegedChannelAdapter, MultithreadedPrivilegedCharacterChannelAdapter, MultithreadedPrivilegedMimeResponseChannelAdapter, MultithreadedPrivilegedMimeResponseCharacterChannelAdapter, StandaloneChannelRenderer, TabColumnPrefsState, TabColumnPrefsState, TabColumnPrefsState.DefaultState, TabColumnPrefsState.DefaultState, TabColumnPrefsState.NewChannelState, TabColumnPrefsState.NewChannelState, TabColumnPrefsState.ParametersState, TabColumnPrefsState.ParametersState, TabColumnPrefsState.ResetLayoutState, TabColumnPrefsState.ResetLayoutState, TabColumnPrefsState.SelectSkinsState, TabColumnPrefsState.SelectSkinsState

    public interface IChannel

An interface presented by a channel to a portal. A channel is a stateful entity. The main part of the channel lifecycle is the rendering cycle. The rendering cycle starts with an invokation of the `setRuntimeData(org.jasig.portal.ChannelRuntimeData)` method for updating channel state, and is eventually followed by a call to the `renderXML(org.xml.sax.ContentHandler)` method that retrieves the current state of the channel. These are the main two methods of the interface.

Version:
  $Revision: 1.19.4.1 $
Author:
  Peter Kharchenko

Method Summary
`ChannelRuntimeProperties` | `getRuntimeProperties()` Acquires ChannelRuntimeProperties from the channel.
`void` | `receiveEvent(PortalEvent ev)` Passes an outside event to a channel.
`void` | `renderXML(org.xml.sax.ContentHandler out)` Ask channel to render its content.
`void` | `setRuntimeData(ChannelRuntimeData rd)` Passes ChannelRuntimeData to the channel.
`void` | `setStaticData(ChannelStaticData sd)` Passes ChannelStaticData to the channel.

Method Detail

### setStaticData

    void setStaticData(ChannelStaticData sd)
                       throws PortalException

  Passes ChannelStaticData to the channel. This is done during channel instantiation time. see org.jasig.portal.ChannelStaticData

  Parameters:
    `sd` - channel static data
  Throws:
    `PortalException`
  See Also:
    `ChannelStaticData`

### setRuntimeData

    void setRuntimeData(ChannelRuntimeData rd)
                        throws PortalException

  Passes ChannelRuntimeData to the channel. This function is called prior to the renderXML() call.

  Parameters:
    `rd` - channel runtime data
  Throws:
    `PortalException`
  See Also:
    `ChannelRuntimeData`

### receiveEvent

    void receiveEvent(PortalEvent ev)

  Passes an outside event to a channel. Events should normally come from the LayoutBean.

  Parameters:
    `ev` - PortalEvent object
  See Also:
    `PortalEvent`

### getRuntimeProperties

    ChannelRuntimeProperties getRuntimeProperties()

  Acquires ChannelRuntimeProperties from the channel. This function may be called by the portal framework throughout the session. Currently, as of uPortal 2.5.1, the framework calls this method after each invocation of renderXML (to determine if there is a dynamic channel title). Prior to uPortal 2.5.1, the framework would not call this method.

  See Also:
    `ChannelRuntimeProperties`

### renderXML

    void renderXML(org.xml.sax.ContentHandler out)
                   throws PortalException

  Ask channel to render its content.

  Parameters:
    `out` - the SAX ContentHandler to output content to
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD